Bug 135215 - syntax error in python
Summary: syntax error in python
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-10-10 19:03 UTC by Eamonn Sullivan
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 15:16:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eamonn Sullivan 2004-10-10 19:03:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041008
Firefox/0.10.1

Description of problem:
The python code for this component has a syntax error that prevents it
from running at all. 



Version-Release number of selected component (if applicable):
system-config-services-0.8.11-1

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-services
2. There's no step 2 or 3. 
3.
    

Actual Results:   File "/usr/sbin/system-config-services", line 115
   else
      ^
SyntaxError: invalid syntax

In other words, a missing ':'

Once that's fixed, however, the GUI appears briefly before generating
the following traceback: 
/usr/sbin/system-config-services:190: DeprecationWarning:
  self.btnStart = self.tbrSave.append_item(_("Start"), _("Start"),
None, icon, self.on_btnStart_clicked, None)
/usr/sbin/system-config-services:194: DeprecationWarning:
  self.btnStop = self.tbrSave.append_item(_("Stop"), _("Stop"), None,
icon, self.on_btnStop_clicked, None)
/usr/sbin/system-config-services:198: DeprecationWarning:
  self.btnRestart = self.tbrSave.append_item(_("Restart"),
_("Restart"), None, icon, self.on_btnRestart_clicked, None)
/usr/sbin/system-config-services:200: DeprecationWarning:
  self.tbrSave.insert_space(3)
/usr/sbin/system-config-services:204: DeprecationWarning:
  self.btnSave = self.tbrSave.append_item(_("_Save"), _("Save"), None,
icon, self.on_mnuSave_clicked, None)
/usr/sbin/system-config-services:209: DeprecationWarning:
  self.btnRevert = self.tbrSave.append_item(_("_Revert"), _("Revert"),
None, icon, self.on_mnuRevert_clicked, None)
getstatusoutput (/sbin/runlevel)
(256, '')
Traceback (most recent call last):
  File "/usr/sbin/system-config-services", line 676, in ?
    main()
  File "/usr/sbin/system-config-services", line 660, in main
    Gui()
  File "/usr/sbin/system-config-services", line 225, in __init__
    self.editing_runlevel = self.ServiceMethods.get_runlevel()
  File "/usr/share/system-config-services/servicemethods.py", line
173, in get_runlevel
    return runlevel_output[-1][2]
IndexError: string index out of range


Expected Results:  It should display a Gtk GUI with a list of the
services running on the system. 

Additional info:

Comment 1 Nils Philippsen 2004-10-11 15:16:33 UTC
Should be fixed in system-config-services-0.8.12-1.


Note You need to log in before you can comment on or make changes to this bug.